import type { Props } from './type';
declare var __VLS_1: {};
type __VLS_Slots = {} & {
    error?: (props: typeof __VLS_1) => any;
};
declare const __VLS_component: import("vue").DefineComponent<Props, {
    video: import("vue").Ref<HTMLVideoElement | null, HTMLVideoElement | null>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    loaded: (player: any) => any;
    errorClick: () => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onLoaded?: ((player: any) => any) | undefined;
    onErrorClick?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
